{ Ager's Socket Library (c) Copyright 1998-01 by Soren Ager (sag@poboxes.com) }
{                                                                             }
{ $Revision: 1.7 $    $Date: 2001/02/03 20:09:19 $    $Author: sag $ }
{                                                                             }
{ Network News Transfer Protocol (NNTP) client example                        }
PROGRAM NNTPClient;

{$I aslDefine.Inc}
{&PMType VIO}

USES Classes, SysUtils, aslTCPSocket, aslNNTPClient;

TYPE
  TMyNNTPClient = CLASS(TNNTPClient)
    PROCEDURE EvtLogLine(Sender: TObject; Msg: String);
  END;

VAR
  Cli : TMyNNTPCLient;
  SLst : TStringList;
  c : Char;
  i : Integer;


  PROCEDURE TMyNNTPClient.EvtLogLine(Sender: TObject; Msg: String);
  begin
    WriteLn(msg);
  end;

BEGIN
 TRY
  Cli:=TMyNNTPClient.Create;
  Cli.OnLogLine:=Cli.EvtLogLine;
  Cli.Connect('tpi');
//  WriteLn(Cli.WelcomeMsg);

  SLst:=TStringList.Create;
  Cli.List(SLst);

  FOR i:=0 TO SLst.Count-1 DO
    WriteLn(SLst[i]);

  Cli.GroupName:=Copy(SLst[0],1,Pos(' ',SLst[0])-1);
  Cli.Group(Copy(SLst[1],1,Pos(' ',SLst[1])-1));


 EXCEPT
   ON E:Exception DO
     WriteLn(E.Message);
 END;
  SLst.Destroy;
  Cli.Destroy;
END.

